Non riesco ad installare [Risolto]

Domande inerenti al gestore dei pacchetti di Arch Linux
Rispondi
xChApPiR
Newbie
Messaggi: 17
Iscritto il: 6 novembre 2016, 14:16

Non riesco ad installare [Risolto]

Messaggio da xChApPiR » 7 novembre 2016, 12:55

Salve,

quando provo ad installare un qualsiasi programma tramite root

Codice: Seleziona tutto

sudo pacman -S nomeprogramma
mi esce scritto: "sei sicuro che il gestore dei pacchetti non sia già in esecuzione?"
Puoi provare a rimuovere var/lib/pacman/db.Ick

cosa mi conviene fare senza combinare danni?
Buona giornata.
Ultima modifica di xChApPiR il 9 novembre 2016, 15:05, modificato 1 volta in totale.

Avatar utente
Lo Zio
Arciere
Messaggi: 248
Iscritto il: 24 ottobre 2014, 14:29
Architettura: x86_64 (64bit)
Località: Torino
Contatta:

Re: Non riesco ad installare

Messaggio da Lo Zio » 7 novembre 2016, 13:59

Se sei da root non serve dare sudo ma basta dare il comando pacman -S nome programma

Codice: Seleziona tutto

[root@archlinux-pc lozio]# pacman -Syu
mentre se sei da Utente devi dare l'ordine sudo (SuperUserDoOrder)

Codice: Seleziona tutto

[lozio@archlinux-pc ~]$ sudo pacman -Syu
prova a vedere se così ti dà sempre lo stesso avvertimento
...voi spiegatemi come fare,poi vedrete cosa non sono capace di fare ;)

xChApPiR
Newbie
Messaggi: 17
Iscritto il: 6 novembre 2016, 14:16

Re: Non riesco ad installare

Messaggio da xChApPiR » 7 novembre 2016, 14:08

Mi dispiace, il problema persiste..
esce sempre "se sei sicuro che il gestore dei pacchetti non sia già in esecuzione, puoi rimuovere /var/lib/pacman/db. lck

Avatar utente
Lo Zio
Arciere
Messaggi: 248
Iscritto il: 24 ottobre 2014, 14:29
Architettura: x86_64 (64bit)
Località: Torino
Contatta:

Re: Non riesco ad installare

Messaggio da Lo Zio » 7 novembre 2016, 14:32

Non so se valga anche per te,ma qua: http://www.archlinux.it/forum/viewtopic.php?f=4&t=15617 un Utente dice che
entrata in var/cache/pacman/pkg
dentro ci sono dei file .pkg.tar.xz
li aggiorna tramite pacman -U uno alla volta
e dopo prova a reinstallare il programma.
Leggo anche che ha provato a forzare l'installazione con il comando

Codice: Seleziona tutto

pacman -U --force nomeprogramma

che però non so se va bene forzandolo (per forzare è il comando ---force)
...voi spiegatemi come fare,poi vedrete cosa non sono capace di fare ;)

xChApPiR
Newbie
Messaggi: 17
Iscritto il: 6 novembre 2016, 14:16

Re: Non riesco ad installare

Messaggio da xChApPiR » 7 novembre 2016, 15:45

Ho rimosso db. lck tramite root e ho risolto il problema. :)

Avatar utente
TheSaint
Robin Hood
Messaggi: 7930
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: Non riesco ad installare

Messaggio da TheSaint » 8 novembre 2016, 14:53

Metti [Risolto]
Il fatto succede se pacman viene interrotto prima di finire e quindi lascia in giro il db.lck.
F the saint 13 anni da questo forum ;)
Gli uomini consumano il pianeta, almeno due di queste cose si possono ridurre.

xChApPiR
Newbie
Messaggi: 17
Iscritto il: 6 novembre 2016, 14:16

Re: Non riesco ad installare

Messaggio da xChApPiR » 9 novembre 2016, 15:05

Viene interrotto per problemi di connessione..ho capito.
Però che due scatole 'sto fatto..

Avatar utente
TheSaint
Robin Hood
Messaggi: 7930
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: Non riesco ad installare [Risolto]

Messaggio da TheSaint » 10 novembre 2016, 17:45

Puoi anche usare un alias, mettendo

Codice: Seleziona tutto

spacman="sudo rm /var/lib/pacman/db.lck &> /dev/null && pacman"
a ~/.bashrc. Così quando scriverai

Codice: Seleziona tutto

$ spacman -Syu
ti rimuove il db.lck ed eseguirà pacman. Attenzione che però se distrattamente ha un altro pacman in sottofondo, viene fuori un bel casino.
F the saint 13 anni da questo forum ;)
Gli uomini consumano il pianeta, almeno due di queste cose si possono ridurre.

Rispondi